Subject: RE: [External] : bug#60587: Patch for adding links to symbols' help documentation

From: Drew Adams <[email-masked]>
Date: Sun, 22 Jan 2023 22:09:28 +0000

> > Shouldn't I address the concern of Drew, as well?  That a "button" is a
> > certain technical implementation of linking which might not be known by
                      ^^^^^^^^^^^^^^^^^^^^^^
> > the reader.  Maybe a term like "link button" or "link-button" conveys -
> > at the same time - the well known concept and correct technique,
> > different from an Info link (or "cross reference")?
> 
> I think "button" is problematic, 

Did you perhaps mean _not_ problematic?  I said it's
problematic, and you don't seem to agree with me.
Or maybe you meant only "button" in "link button".
In that case, I agree with you.  We should just say
"link".

> and have no idea why Drew thinks we
> should use another term here.

Another term than "button"?  Or "link-button"?

Drew thinks we should use the same standard term we
use everywhere - including in Info: for users it's a
link, not a button.

It may be implemented in Elisp by something Elisp
calls a "button" (not a great name, but not important
here) - but that's now what Emacs calls it in
communicating with users.  In particular, it's not
how the Info docs refer to it.  For users it's a link.

> The code does insert buttons, right?

The code implements links by inserting what Elisp
calls "buttons", yes.  Is how the code implements
links what's important here?

> If the user types "M-x describe-text-properties RET",
> will he/she see that there's a button at point?

Dunno what Dieter's code shows for that.  But this is
what doing that on an xref link in Info shows:

There are text properties here:
  font-lock-face       info-xref
  fontified            t
  help-echo            [Show]
  mouse-face           highlight

I wouldn't say that a user is told there's a button
there.